summaryrefslogtreecommitdiffstats
path: root/desktop/pekwm/pekwm.SlackBuild
diff options
context:
space:
mode:
author Eugene M2016-08-24 01:42:23 +0200
committer David Spencer2016-08-28 01:22:40 +0200
commit3be8811198ba45dd8f3b00f298a42cbd49f7104a (patch)
tree578ce1237c4cab1ace2a1849b41966bc84fc90b6 /desktop/pekwm/pekwm.SlackBuild
parente81d618c0cc2749ecd1353173dc0a0266704c820 (diff)
downloadslackbuilds-3be8811198ba45dd8f3b00f298a42cbd49f7104a.tar.gz
desktop/pekwm: Update script.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/pekwm/pekwm.SlackBuild')
-rw-r--r--desktop/pekwm/pekwm.SlackBuild41
1 files changed, 16 insertions, 25 deletions
diff --git a/desktop/pekwm/pekwm.SlackBuild b/desktop/pekwm/pekwm.SlackBuild
index 15699b3c6b..fece726f56 100644
--- a/desktop/pekwm/pekwm.SlackBuild
+++ b/desktop/pekwm/pekwm.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for pekwm
-# Copyright 2012, Eugene Suter, <easuter at gmail dot com>
+# Copyright 2012 Eugene Suter, <easuter at gmail dot com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,28 +22,28 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by Eugene M. <damagedone at gmx dot com>
+# Modified by Eugene M., <damagedone at gmx dot com>
PRGNAM=pekwm
VERSION=${VERSION:-0.1.17}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -56,7 +56,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -66,10 +66,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -91,18 +91,9 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-find $PKG -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-
-install -D -m0755 $CWD/xinitrc.pekwm $PKG/etc/X11/xinit/xinitrc.pekwm
-install -D -m0644 $CWD/pekwm.desktop $PKG/usr/share/xsessions/pekwm.desktop
-install -D -m0644 $CWD/pekwm.desktop $PKG/usr/share/apps/kdm/sessions/pekwm.desktop
-
-for CONF in $PKG/etc/pekwm/* ; do
- mv $CONF $CONF.new
-done
+install -Dm0755 $CWD/xinitrc.pekwm $PKG/etc/X11/xinit/xinitrc.pekwm
+install -Dm0644 $CWD/pekwm.desktop $PKG/usr/share/xsessions/pekwm.desktop
+install -Dm0644 $CWD/pekwm.desktop $PKG/usr/share/apps/kdm/sessions/pekwm.desktop
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \